Loading...
Searching...
No Matches
typer.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/oberror.h>`
`#include <openbabel/typer.h>`
`#include <openbabel/elements.h>`
`#include "atomtyp.h"`

## Namespaces

namespace | OpenBabel

## Enumerations

enum | ExocyclicAtom { NO_EXOCYCLIC_ATOM , EXO_OXYGEN , EXO_NONOXYGEN }

## Functions

static ExocyclicAtom | FindExocyclicAtom (OBAtom *atm)
static bool | HasExocyclicBondToOxygenMinus (OBAtom *atm)
static bool | HasExocyclicDblBondToOxygen (OBAtom *atm)
static bool | HasExocyclicDblBondToHet (OBAtom *atm)
static bool | AssignOBAromaticityModel (OBAtom *atm, int &min, int &max)

## Detailed Description

Open Babel atom and aromaticity typer.